Bug 14766 - Complete cataloguing plugin unimarc_field_4XX
Summary: Complete cataloguing plugin unimarc_field_4XX
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-01 12:54 UTC by Julian Maurice
Modified: 2016-06-21 21:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14766: Complete cataloguing plugin unimarc_field_4XX (3.83 KB, patch)
2015-09-01 12:55 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14766: Complete cataloguing plugin unimarc_field_4XX (3.62 KB, patch)
2015-09-01 12:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14766: Complete cataloguing plugin unimarc_field_4XX (3.80 KB, patch)
2015-09-03 03:39 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14766: unimarc_field_4XX: escape ', ", \n, \r (2.07 KB, patch)
2015-09-04 06:57 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14766: Complete cataloguing plugin unimarc_field_4XX (3.88 KB, patch)
2015-09-04 07:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14766: unimarc_field_4XX: escape ', ", \n, \r (2.14 KB, patch)
2015-09-04 07:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2015-09-01 12:54:39 UTC
Add subfields l, n and o for better UNIMARC compliance
Comment 1 Julian Maurice 2015-09-01 12:55:29 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2015-09-01 12:59:31 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2015-09-03 03:39:14 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-09-03 08:24:07 UTC
All other fields replace some chars (', ", \n, \r), I am sure you should do it for these 3 ones too.
Comment 5 Julian Maurice 2015-09-04 06:57:46 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-09-04 07:46:02 UTC
Created attachment 42376 [details] [review]
Bug 14766: Complete cataloguing plugin unimarc_field_4XX

Add subfields l, n and o for better UNIMARC compliance

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Note: I just did a code audit here, as I don't know enough about
UNIMARC to know if the 4XX fields should have these subfields.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2015-09-04 07:46:29 UTC
Created attachment 42377 [details] [review]
Bug 14766: unimarc_field_4XX: escape ', ", \n, \r

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Tomás Cohen Arazi 2015-09-07 14:31:24 UTC
Patches pushed to master.

Thanks Paul!
Comment 9 Chris Cormack 2015-09-22 01:58:51 UTC
Pushed to 3.20.x will be in 3.20.4
Comment 10 Liz Rea 2015-09-22 03:25:09 UTC
Pushed to 3.18.x will be in 3.18.11